Page MenuHomePhabricator

Archive the MOOC extension
Closed, ResolvedPublicRequest

Description

Reason:
tests indicate archive - https://gerrit.wikimedia.org/r/#/c/integration/config/+/454856/
Linking T199032 and T183512

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, or MediaWiki-extensions-Other if there is no project.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:MOOC): replace page contents with {{TNT|Archived extension|last revision id before archiving|reason=archive reasons}} (for extensions); include a link to this task in the reason parameter. If that documentation was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Archive Wikidata item associated with documentation page (provide URL) (remove nearly all statements, except instance of (P31) = MediaWiki extension (Q6805426), which should add a qualifier end time (P582) = the YYYY-MM-DD date that you decided to archive extension, generally per edit history, change English (and other languages if possible) description to "archived MediaWiki extension" (and its translation)).
  • Phabricator
    • Archive Phabricator project MOOC-Interface for associated extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project MOOC-Interface description for associated extension with a link to this ticket.
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt).
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2018, 8:29 AM

Change 455293 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Archive MOOC extension

https://gerrit.wikimedia.org/r/455293

Change 455293 merged by Umherirrender:
[mediawiki/extensions@master] Archive MOOC extension

https://gerrit.wikimedia.org/r/455293

MarcoAurelio added a subscriber: MarcoAurelio.
MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.
Dinoguy1000 updated the task description. (Show Details)Aug 25 2018, 3:41 PM
Dinoguy1000 updated the task description. (Show Details)
Dinoguy1000 updated the task description. (Show Details)Aug 25 2018, 3:44 PM
MarcoAurelio updated the task description. (Show Details)Nov 30 2018, 7:03 PM
MarcoAurelio removed a project: Patch-For-Review.

Archived on mediawiki and Wikidata. MOOC is also not on mediawiki/extensions repo as it was removed early. Given that this was proposed in August and no on-wiki comment nor on this task has happened, I am going to proceed with the rest of the steps.

Change 481595 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] Remove MOOC from mediawiki-extensions.txt

https://gerrit.wikimedia.org/r/481595

Change 481596 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/MOOC@master] Archive MOOC extension

https://gerrit.wikimedia.org/r/481596

Zoranzoki21 updated the task description. (Show Details)Dec 31 2018, 7:35 AM

Change 481596 merged by Umherirrender:
[mediawiki/extensions/MOOC@master] Archive MOOC extension

https://gerrit.wikimedia.org/r/481596

Change 481595 merged by jenkins-bot:
[translatewiki@master] Remove MOOC from mediawiki-extensions.txt

https://gerrit.wikimedia.org/r/481595

Aklapper closed this task as Resolved.Jul 21 2019, 10:58 PM
Aklapper updated the task description. (Show Details)
Aklapper removed a project: Patch-For-Review.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 21 2019, 10:58 PM